Skip to content

Get a list of locations by filter criteria

Request

Retrieve a list of Locations in bulk, identified by the query parameters defined in the request. The query requires at least a page and page size, in which case all Locations will be returned in a paged format. Providing any additional filter will return the matching subset of Locations. When providing multiple filter parameters, all filters must match for a Location to be included in the response.

The returned list can be empty, but the request will not fail if no results are found.

Security
clientCredentials
Query
location_categorystring

Filter results based on category

country_codestring(CountryCode)^[A-Z]{2}$

Filter results based on country identifier (ISO3166-1 alpha-2).

Example:country_code=BE
zip_codestring

Filter results based on ZIP code

citystring

Filter results based on city

address_linestring

collection filtered on address line

pageinteger, (int32), >= 1

Number of the page to retrieve, see also Paging section.

Default:1
page_sizeinteger, (int32), [ 1 .. 100 ]

Number of results by page, see also Paging section.

Default:10
curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/locations/by?location_category=string&country_code=BE&zip_code=string&city=string&address_line=string&page=1&page_size=10' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

a list of locations

Bodyapplication/json
dataArray of objects, [ 0 .. 100 ] items, unique(Location)
pageobject(Paging)
Response
{ "data": [ {} ], "page": { "total_items": 100, "total_pages": 10, "page_size": 10, "current_page": 1 } }